• 388阅读
  • 3回复

升级OSX版本后无法编译Android应用了,何故? [复制链接]

上一主题 下一主题
离线mugua001
 

只看楼主 倒序阅读 楼主  发表于: 2020-11-11
原先OSX是10.13版本,前段升级到10.15后。发现原先的安卓编译环境、代码都无更改(6朋份还编译过一次,正常),无法编译了。
折腾了一晚上也没找到原因。就是提示,编译时调用的SDK无法运行。这套SDK NDK ANT组件,从安装上都没变更过。



FAILURE: Build failed with an exception.


* What went wrong:
Execution failed for task ':compileDebugAidl'.
> org.gradle.process.internal.ExecException: A problem occurred starting process 'command '/Users/Android_SDK_Kit/android-sdk-macosx/build-tools/23.0.3/aidl''
离线why125997374

只看该作者 1楼 发表于: 2020-11-13
最新的系统Qt不支持
code the world!
离线mugua001

只看该作者 2楼 发表于: 2020-11-28
回 why125997374 的帖子
why125997374:最新的系统Qt不支持 (2020-11-13 16:19) 

什么意思?没能很好地理解。
QT不支持?
离线mugua001

只看该作者 3楼 发表于: 2020-11-29
最后换成Qt5.9.9又可以编译了,也不知道最后修改了哪里。

快速回复
限100 字节
 
上一个 下一个